Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.ocm
Interface OCMcontext

All Known Implementing Classes:
  OCMcontextSupport.SubContextSupport

public interface OCMcontext

Provides the operating context for a conversion.

Method Summary
`ClassLoader` | `getClassLoader()`
`DocumentHandler` | `getDestination()` Returns the SAX event destination, if any.
`QDoc` | `getInputSchemaDoc()` Gets the input schema doc.
`Map` | `getProperties()` Returns the config properties
`String` | `getPUBLIC()`
`String` | `getRootTag()`
`QDoc` | `getSchemaDoc()` Returns the schema document.
`StringBuffer` | `getStringBuffer()` Returns the string buffer used for non-xml output
`String` | `getSYSTEM()`
`OCMpeer` | `peer(Object dataModel, OCMpeer parent)` Returns the peer object.
`OCMpeer` | `rootPeer()` Returns the root peer object.
`void` | `setClassLoader(ClassLoader cl)`
`void` | `setDestination(DocumentHandler destination)` Sets the SAX event destination.
`void` | `setStringBuffer(StringBuffer sb)` Sets the string buffer used for non-xml output

Method Detail

### getStringBuffer

    public StringBuffer getStringBuffer()

  Returns the string buffer used for non-xml output

### setStringBuffer

    public void setStringBuffer(StringBuffer sb)

  Sets the string buffer used for non-xml output

### getProperties

    public Map getProperties()

  Returns the config properties

### getSchemaDoc

    public QDoc getSchemaDoc()
                      throws SAXException,
                             IOException

  Returns the schema document.

### getInputSchemaDoc

    public QDoc getInputSchemaDoc()
                           throws SAXException,
                                  IOException

  Gets the input schema doc.

### getDestination

    public DocumentHandler getDestination()

  Returns the SAX event destination, if any. (With OCMpeerSupportLite, this method would return null.)

### setDestination

    public void setDestination(DocumentHandler destination)

  Sets the SAX event destination.

### peer

    public OCMpeer peer(Object dataModel,
                        OCMpeer parent)
                 throws SAXException,
                        IOException

  Returns the peer object.

### rootPeer

    public OCMpeer rootPeer()
                     throws SAXException,
                            IOException

  Returns the root peer object.

### getPUBLIC

    public String getPUBLIC()
                     throws SAXException,
                            IOException

### getSYSTEM

    public String getSYSTEM()
                     throws SAXException,
                            IOException

### getRootTag

    public String getRootTag()
                      throws SAXException,
                             IOException

### getClassLoader

    public ClassLoader getClassLoader()

### setClassLoader

    public void setClassLoader(ClassLoader cl)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD